import { VerticalAnchoredCategorySeries } from "./VerticalAnchoredCategorySeries";
import { IBarSeries } from "./IBarSeries";
import { Series } from "./Series";
import { SeriesView } from "./SeriesView";
import { CategoryTransitionInMode } from "./CategoryTransitionInMode";
import { SeriesVisibleRangeMode } from "./SeriesVisibleRangeMode";
import { Rect } from "igniteui-angular-core";
import { Point, Type } from "igniteui-angular-core";
import { CategoryFrame } from "./CategoryFrame";
import { List$1 } from "igniteui-angular-core";
import { Axis } from "./Axis";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { ChartSelection } from "./ChartSelection";
import { SeriesSelectionBehavior } from "./SeriesSelectionBehavior";
import { CategorySeriesView } from "./CategorySeriesView";
import { CategoryFramePreparer } from "./CategoryFramePreparer";
import { CategoryMode } from "./CategoryMode";
import { Pool$1 } from "igniteui-angular-core";
import { Rectangle } from "igniteui-angular-core";
import { AxisRange } from "./AxisRange";
import { FastItemsSourceEventAction } from "igniteui-angular-core";
import { ITrendLineManager } from "./ITrendLineManager";
import { CategoryBucketCalculator } from "./CategoryBucketCalculator";
import { AnchoredCategorySeriesView } from "./AnchoredCategorySeriesView";
import { RenderingContext } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class BarSeries extends VerticalAnchoredCategorySeries implements IBarSeries {
    static $t: Type;
    protected bk(): Series;
    protected get_ez(): boolean;
    protected jn(): number;
    protected get_fm(): boolean;
    protected ct(): SeriesView;
    protected ze(): CategoryTransitionInMode;
    cz(): SeriesVisibleRangeMode;
    q7(a: SeriesView): void;
    ac0: BarSeriesView;
    protected get_ef(): boolean;
    wx(a: Point): Rect;
    gx(a: Point, b: boolean): boolean;
    ak(a: Rect, b: SeriesSelectionBehavior): ChartSelection[];
    qa(a: Rect, b: List$1<ChartSelection>, c: SeriesSelectionBehavior): void;
    constructor();
    za(a: CategorySeriesView): CategoryFramePreparer;
    ac(): void;
    ac1: number;
    ac2: number;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    pb(a: boolean, b: SeriesView): void;
    z8(): number;
    abl(a: CategorySeriesView): number;
    ay(a: Axis): AxisRange;
    ge(a: any): boolean;
    iy(): number;
    aax(a: CategoryFrame, b: CategorySeriesView): void;
    protected ph(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    protected rg(a: any, b: string, c: any, d: any): void;
    getPreferredCategoryMode(): CategoryMode;
    bd(): ITrendLineManager;
    get useHighMarkerFidelity(): boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class BarBucketCalculator extends CategoryBucketCalculator {
    static $t: Type;
    constructor(a: BarSeriesView);
    protected i: BarSeriesView;
    g(a: number): void;
    getBucketWithoutUnknowns(a: number): number[];
    getBucket(a: number): number[];
    private h;
    private j;
    cacheValues(): void;
    unCacheValues(): void;
}
/**
 * @hidden
 */
export declare class BarSeriesView extends AnchoredCategorySeriesView {
    static $t: Type;
    dt: BarSeries;
    constructor(a: BarSeries);
    du: Pool$1<Rectangle>;
    a4(): void;
    d1(): Rectangle;
    dv: List$1<Rectangle>;
    dw(a: Rectangle): void;
    dy(a: Rectangle): void;
    dx(a: Rectangle): void;
    dz(a: Rectangle, b: number, c: number): void;
    da(): CategoryBucketCalculator;
    protected bt(a: any, b: number): void;
    protected ak(a: number): any;
    private d0;
    protected aj(a: number): any;
    protected bj(a: RenderingContext, b: boolean): void;
    ax(a: any): void;
    protected an(): void;
}
